DeepFellow API ReferenceAdministration
Edit user
POST
Edit a user.
header
AuthorizationBearer <token>user_id*stringThe ID of the user.
Match
^[0-9a-fA-F]{24}$application/json- body
name?string|nullemail?string|nullpassword?string|nullis_admin?boolean|nullstatus?|nulldefault_organization_id?|nullSuccessful Response
application/json- response
id*stringA 24-character hexadecimal MongoDB ObjectId string.
Match
^[0-9a-fA-F]{24}$email*stringUser email.
is_admin*booleanBoolean indicating whether the user is admin.
status*stringValue in
"active""blocked"default_organization_id*|nullcreated_at*integerThe Unix timestamp (in seconds) for when the user was created.
Example Request
curl -X POST 'https://deepfellow-server-host/admin/user/5eb7cf5a86d9755df3a6c593' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "5eb7cf5a86d9755df3a6c593", "email": "string", "is_admin": true, "status": "active", "default_organization_id": "5eb7cf5a86d9755df3a6c593", "created_at": 0}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.